• 0
madisoncourto

Server crashing

Question

my server keeps crashing with the following:

Exception code: C0000005 ACCESS_VIOLATION at 77235035

Any idea why this may be, it seems totally random.

Share this post


Link to post
Share on other sites

26 answers to this question

  • 1

Hid my post, why hide the problem from server owners other than to make them stress over an unexplained issue?

https://en.wikipedia.org/wiki/Responsible_disclosure

"Hackers and computer security scientists have the opinion that it is their social responsibility to make the public aware of vulnerabilities with a high impact."

Also, as that pastebin link I posted with the "exploit" says, it ONLY effects mods with the HandGrab function enabled. So, as for the "BI fix", that is not true at all it can be mitigated server side in the mod itself.

BTW, I received a message that contains a "fix".

/*
 Put that into your config.cpp.

 This is only a workaround. It will not solve the core
 problem. It will only prevent players from grabbing
 backpacks that lay on the ground. I advice you to
 remove this once Bohemia Interactive has fixed the
 problem in the engine, as the "Take Bag" action is 
 a nice shortcut.
*/
class CfgActions
{
	class None;
	class TakeBag: None { show = 0; };
	class AddBag: None { show = 0; };
	class TakeItem: None { show = 0; };
};
Edited by Crazy Harry
1 person likes this

Share this post


Link to post
Share on other sites
  • 1
This is only a workaround. It will not solve the core
 problem. It will only prevent players from grabbing
 backpacks that lay on the ground

As i said BI Fix i gave you the information which devs of exile give to me

Edited by Flow

Share this post


Link to post
Share on other sites
Advertisement
  • 1

As i said BI Fix i gave you the information which devs of exile give to me

The simple "fix" is not to tell people that we are waiting on BI and having users get irritated because of crashes when the TapUse functionalit can be disabled in the mod. The Exile devs are choosing to remain vulnerable and lying about the status of the issue.

And the link the mods have hidden from the community were already posted to Reddit

Share this post


Link to post
Share on other sites
  • 1

 

Buddy after all it does not matter WHO have to fix that but it does matter if you tell more people about it because there are a lot of d*ckheads out who will abuse it on servers. So giving a hint that there is something wrong: good. Bring in a temp fix: good Telling exactly how to abuse it: not good. Even if it is written on other boards, reddit or whatever, people should not be easy to find it here to abuse it.

My 2 cents. Please stop posting the links.

Thanks

https://en.wikipedia.org/wiki/Security_through_obscurity

As the providers of a public "product" you guys really should be more responsible. Just because it's free or volunteer doesn't exempt it from sound security practices.

The issue is in TapUse, the devs CHOOSE to use that function. Not using it removes the issue. Seems really simple to me, rather than blaming BI (which IS where the root of the issue lays), take initiative to release a "fix" so that communities built around this mod don't end up with a pissed playerbase due to continuous crashes. the technical disclosure, or "pasting links on how to do it" demonstrates to the server owners WHAT is happening and allows them to take initiative on their part to fix it if the Exile devs rather blame BI and leave the hole open.

Really, really simple. 

Share this post


Link to post
Share on other sites
  • 0

We've been seeing this across many major servers. Been unable to pinpoint a common factor between all of them.
Personally, I'm suspecting that Battleye has pushed a bad update and is causing server crashes, but I really have no idea.

Edited by Rod Serling

Share this post


Link to post
Share on other sites
  • 0

The error does seem to be spread across many servers and seems to be happening as of late last night. As Rod said, this can be caused by BattlEye because that is probably the only thing that has changed and is the common denominator for all servers. Using another malloc could help but from what I have read in the skype group; the errors still happen.

Just have to wait and see I guess.

Share this post


Link to post
Share on other sites
  • 0

I was thinking it could infiSTAR as it was fine before it was updated and working with current version.

The exception is generally related to garbage collection, I debugged it but couldn't reproduce. 

Share this post


Link to post
Share on other sites
  • 0

have also noticed this on the test servers. Which does have the latest BE and Infi.

There are some entries in the rpt from Infi which I have been told is "normal" but never showed in previous Infi versions.

I'm going to roll the test servers back 2 versions of BE then Infi and will let you know the outcome.

 

R.

Share this post


Link to post
Share on other sites
Advertisement
Guest
This topic is now closed to further replies.

  • Recently Browsing   0 members

    No registered users viewing this page.